Subject: Re: bug#14569: 24.3.50; bootstrap fails on Cygwin

From: Angelo Graziosi <[email-masked]>
Date: Tue, 11 Jun 2013 01:23:25 +0200

Il 10/06/2013 23.52, Paul Eggert ha scritto:
> On 06/10/13 14:15, Angelo Graziosi wrote:
>> I configure with:
>>
>> $ "${source_dir}"/configure --prefix="${prefix_dir}"
>
> What happens if you configure --without-xml2?
> Something like this, say:
>
> "${source_dir}"/configure --prefix="${prefix_dir}" --without-xml2
> make clean
> make
>

I am afraid for you, but what you suggest fails in the same manner:

$ cd emacs
$ mkdir Work
$ ./autogen.sh
$ cd Work/
$ ../configure --prefix=/usr/local/emacs --without-xml2
...
Configured for `i686-pc-cygwin'.

   Where should the build process find the source code?    /work/emacs
   What compiler should emacs be built with?               gcc 
-std=gnu99 -g3 -O2
   Should Emacs use the GNU version of malloc?             yes
   Should Emacs use a relocating allocator for buffers?    no
   Should Emacs use mmap(2) for buffer allocation?         yes
   What window system should Emacs use?                    x11
   What toolkit should Emacs use?                          GTK3
   Where do we find X Windows header files?                Standard dirs
   Where do we find X Windows libraries?                   Standard dirs
   Does Emacs use -lXaw3d?                                 no
   Does Emacs use -lXpm?                                   yes
   Does Emacs use -ljpeg?                                  yes
   Does Emacs use -ltiff?                                  yes
   Does Emacs use a gif library?                           yes -lgif
   Does Emacs use -lpng?                                   yes
   Does Emacs use -lrsvg-2?                                yes
   Does Emacs use imagemagick?                             yes
   Does Emacs use -lgpm?                                   no
   Does Emacs use -ldbus?                                  yes
   Does Emacs use -lgconf?                                 yes
   Does Emacs use GSettings?                               yes
   Does Emacs use a file notification library?             yes -lgio (gfile)
   Does Emacs use -lselinux?                               no
   Does Emacs use -lgnutls?                                yes
   Does Emacs use -lxml2?                                  no
   Does Emacs use -lfreetype?                              yes
   Does Emacs use -lm17n-flt?                              yes
   Does Emacs use -lotf?                                   yes
   Does Emacs use -lxft?                                   yes
   Does Emacs use toolkit scroll bars?                     yes
...

(notice that now it says: "Does Emacs use -lxml2? no")

$ make
...
Compiling /work/emacs/src/../lisp/language/cham.el
GLib (gthread-posix.c): Unexpected error from C library during 
'pthread_setspecific': Invalid argument.  Aborting.
Makefile:229: recipe for target `compile-onefile' failed
make[2]: *** [compile-onefile] Aborted
make[2]: uscita dalla directory "/work/emacs/Work/lisp"
Makefile:809: recipe for target 
`/work/emacs/src/../lisp/language/cham.elc' failed
make[1]: *** [/work/emacs/src/../lisp/language/cham.elc] Error 2
make[1]: uscita dalla directory "/work/emacs/Work/src"
Makefile:381: recipe for target `src' failed
make: *** [src] Error 2

I would have been surprised if it had worked.. As I explained, on 
GNU/Linux Kubuntu 12.04 Emacs Trunk bootstrap fine with the XML2 support..

and now, really, Good Night!!!

Ciao,
  Angelo.

(PS. When I replay, TB refuses to send the replay to the address 
[email-masked], I need to change it manually into 
[email-masked], IS there some tricks I can do to avoid this? TIA, A.)